333D Ltd

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/333d-ltd/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/333d-ltd/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1756080000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://app.sharelinktechnologies.com/announcement-preview/asx/c6faa793df07dc8b1257b3480b32a0c5",
    "holding_balance": 2.01830401,
    "holding_net_change": 2.02,
    "transaction_value_usd": 241113.99,
    "average_entry_value_usd": 119463.66,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/333d-ltd/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1789171200000,
    2.01830401
  ],
  [
    1789257600000,
    2.01830401
  ],
  [
    1789344000000,
    2.01830401
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/333d-ltd/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1789171200000,
    155871.2976426885
  ],
  [
    1789257600000,
    155917.8800992393
  ],
  [
    1789344000000,
    155022.2173287216
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/333d-ltd/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.034,
    "date": "2026-09-10",
    "high": 0.034,
    "open": 0.034,
    "close": 0.034,
    "volume": 70181
  },
  {
    "low": 0.032,
    "date": "2026-09-11",
    "high": 0.035,
    "open": 0.034,
    "close": 0.035,
    "volume": 303038
  },
  {
    "low": 0.037,
    "date": "2026-09-14",
    "high": 0.037,
    "open": 0.037,
    "close": 0.037,
    "volume": 133
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/333d-ltd/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": -0.698,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/333d-ltd/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 19.35,
  "six_month_return": 23.33,
  "three_month_return": -31.48
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/333d-ltd/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 2.2,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}